Skip to main content
PATCH
/
partner
/
{partner_id}
/
classes
/
{class_id}
강의 수정
curl --request PATCH \
  --url https://api.example.com/partner/{partner_id}/classes/{class_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "status": "planned",
  "description": "<string>",
  "start_at": "2023-11-07T05:31:56Z",
  "end_at": "2023-11-07T05:31:56Z",
  "capacity": 123,
  "timezone": "<string>",
  "location": "<string>",
  "online_url": "<string>",
  "invite_only": true,
  "course_id": 123,
  "primary_model_id": 123,
  "allowed_model_ids": [
    123
  ]
}
'
{
  "name": "<string>",
  "id": 123,
  "partner_id": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "status": "planned",
  "description": "<string>",
  "start_at": "2023-11-07T05:31:56Z",
  "end_at": "2023-11-07T05:31:56Z",
  "capacity": 123,
  "timezone": "<string>",
  "location": "<string>",
  "online_url": "<string>",
  "invite_only": true,
  "primary_model_id": 123,
  "allowed_model_ids": [
    123
  ],
  "course_id": 123,
  "invite_codes": [
    {
      "id": 123,
      "partner_id": 123,
      "class_id": 123,
      "code": "<string>",
      "target_role": "<string>",
      "used_count": 123,
      "status": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z",
      "max_uses": 123,
      "created_by": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

partner_id
integer
required

강사 ID

class_id
integer
required
Required range: x >= 1

Body

application/json
name
string | null
status
enum<string> | null
Available options:
planned,
active,
ended
description
string | null
start_at
string<date-time> | null
end_at
string<date-time> | null
capacity
integer | null
timezone
string | null
location
string | null
online_url
string | null
invite_only
boolean | null
course_id
integer | null
primary_model_id
integer | null
allowed_model_ids
integer[] | null

Response

Successful Response

DB → 응답용 스키마

  • invite_codes: 이 Class 에 연관된 초대코드 리스트
name
string
required
id
integer
required
partner_id
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
status
enum<string> | null
Available options:
planned,
active,
ended
description
string | null
start_at
string<date-time> | null
end_at
string<date-time> | null
capacity
integer | null
timezone
string | null
location
string | null
online_url
string | null
invite_only
boolean | null
primary_model_id
integer | null
allowed_model_ids
integer[]
course_id
integer | null
invite_codes
InviteCodeResponse · object[]